
QGIS Application - Bug report #9771

vector layer rendering incorrect with OTF on (on some zoom levels)

2014-03-12 04:28 PM - Etienne Tourigny

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18313

Description

When adding a vector layer (polygons) in EPSG:4326, project has CRS EPSG:3857 and OTF CRS transformations are enabled, on some

scales (mostly when zooming out) the layer features are invisible.

This also happens with other project CRS, but seems to be worse with EPSG:3857

Also, when using a vector layer of global coverage, on some scales the polygons are distorted and many are invisible.

This does not happen in QGIS 2.2 so is probably related to MTR.

attached files shot1-3.jpg are screenshots showing various zoom levels with file tmp1.zip loaded (single polygon), and polygon is invisible

in some levels but is within map extent.

attached file shot4-5.jpg are screenshots showing various zoom levels with file tmp2.zip loaded (many polygons, global coverage), on one

zoom levels polygons are ok, when zooming out some features are invisible.

Associated revisions

Revision 1f20630e - 2014-05-02 12:12 AM - Martin Dobias

Fix #9771 (fix rendering of layers with geographical CRS with OTF on)

History

#1 - 2014-05-01 03:15 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"1f20630ec53df90df921de2c6580047bfa1a853f".
